## vflib3 3.6.12

=== vflibcaps/Makefile ===
ALL=   vflibcap-tex      vflibcap-tex-ja-pcf \
       vflibcap-tex-pk   vflibcap-tex-pk-ja-pcf \
       vflibcap-tex-ja-ttf 

default all:  ${ALL}
clean veryclean distclean:
	-rm -f *~ 

vflibcap-tex:			../src/vflmkcaptex
	../src/vflmkcaptex standard -i    > $@
vflibcap-tex-ja-pcf:		../src/vflmkcaptex
	../src/vflmkcaptex standard-ja -i > $@
vflibcap-tex-pk:		../src/vflmkcaptex
	../src/vflmkcaptex simple -i      > $@
vflibcap-tex-pk-ja-pcf: 	../src/vflmkcaptex
	../src/vflmkcaptex simple-ja -i   > $@
vflibcap-tex-ja-ttf:		../src/vflmkcaptex
	../src/vflmkcaptex kakugawa -i    > $@

## vflib3 3.6.14.dfsg

=== vflibcaps/Makefile ===
--- 
+++ 
@@ -14,5 +14,7 @@
 	../src/vflmkcaptex simple -i      > $@
 vflibcap-tex-pk-ja-pcf: 	../src/vflmkcaptex
 	../src/vflmkcaptex simple-ja -i   > $@
-vflibcap-tex-ja-ttf:		../src/vflmkcaptex
+vflibcap-tex-ja-ttf:		../src/vflmkcaptex \
+		../ascii-jtex/fonts.lst ../ascii-jtex/fontsh.lst \
+		../ascii-jtex/fontsc.lst
 	../src/vflmkcaptex kakugawa -i    > $@

=== doc/Paper1/Makefile ===
# makefile for
#
#    VFlib 3.5 --- a general font library that supports 
#    multiple font formats
# 
#  by Hirotsugu Kakugawa
#

LATEX2e=latex
BIBTEX=bibtex 
DVI2PS=dvips -f

#---
SRC=vflib35.tex cah-gut.cls vflib35.bib \
    comic-jp.eps comic-jp.gif internal.eps internal.fig \
    xmdvi-image-bw.eps \
    Makefile

default: vflib35.ps

vflib35.ps:  vflib35.tex vflib35.bib
	-rm  vflib35.aux vflib35.bbl
	${LATEX2e} vflib35
	${BIBTEX} vflib35
	${LATEX2e} vflib35
	${LATEX2e} vflib35
	-${DVI2PS} vflib35.dvi > vflib35.ps
	-rm *.dvi *.log *.aux *.bbl *.blg missfont.log 

clean:
	-rm *.log *.aux *.bbl *.blg missfont.log
distclean: clean
	-rm *~
veryclean: clean
	-rm *~ *.ps *.dvi

=== utils/ctext2pgm-1.5.3/Samples/Makefile ===
#
# Makefile for Sample documents of ctext2pgm
#

DIRS=   CTEXT \
	CTEXT-HEBREW \
	CTEXT-MULE-ARABIC \
	ISO8859-1-LATIN1 \
	ISO8859-5-CYRILLIC \
	ISO8859-7-GREEK \
	ISO8859-8-HEBREW \
	EUC-JAPANESE \
	SHIFT-JIS

default all clean veryclean distclean clean-images:
	@for d in $(DIRS); do \
	  ( echo $$d; \
	    cd $$d; \
	    $(MAKE) $@) \
	done



#EOF

=== utils/ctext2pgm-1.5.3/Samples/CTEXT-HEBREW/Makefile ===
#
# a Makefile to make sample images for "ctext2pgm"
#   by Hirotsugu Kakugawa
#

# -----------------------------------------------------------------------
ARG_CTEXT2PGM= -ctext -r2l -16 -times -g 10 -pgm-raw
ARG_BGCOLOR=   rgb:ff/ff/ff
ARG_FGCOLOR=   rgb:00/00/00

DOCS=   DOC1.txt

include  ../make-sub

# -----------------------------------------------------------------------

#EOF

=== utils/ctext2pgm-1.5.3/Samples/EUC-JAPANESE/Makefile ===
#
# a Makefile to make sample images for "ctext2pgm"
#   by Hirotsugu Kakugawa
#

# -----------------------------------------------------------------------
ARG_CTEXT2PGM= -euc-jp -16 -helv -g 10 -pgm-raw 
ARG_BGCOLOR=   rgb:ff/ff/ff
ARG_FGCOLOR=   rgb:00/00/00

DOCS=   DOC1.txt 

include  ../make-sub

# -----------------------------------------------------------------------

#EOF

=== debian/changelog ===
vflib3 (3.6.14.dfsg-3+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957909)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 21 Jan 2021 20:35:42 +0000

vflib3 (3.6.14.dfsg-3+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on ppc64*. Closes: #847179.
  * Bump debhelper and standards version.
  * Convert to source format 3.0. Closes: #668942.
  * Add build-arch and build-indep targets to debian/rules. Closes: #648307.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Nov 2017 18:23:35 +0100

vflib3 (3.6.14.dfsg-3+nmu3) unstable; urgency=medium

  * Non-maintainer upload
  * Add missing build-{arch,indep} targets, patch by Santiago Vila.
    Closes: #822035
  * Remove obsolete Source-Version substvar. Closes: #833240

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 21 Dec 2016 22:32:17 +0100

vflib3 (3.6.14.dfsg-3+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libxext-dev build dependency (closes: #742093).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 21 Mar 2014 04:59:28 +0000

vflib3 (3.6.14.dfsg-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove support for t1lib (closes: #638756). 

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Mar 2014 21:37:52 +0000

vflib3 (3.6.14.dfsg-3) unstable; urgency=low

  * Remove RPATH from the generated library. (lintian)
    - debian/control: Add Build-dependency on chrpath.
  * Delete postinst and prerm from vflib3-doc.

 -- OHURA Makoto <ohura@debian.org>  Fri, 16 Dec 2011 11:39:37 +0900

vflib3 (3.6.14.dfsg-2) unstable; urgency=low

  * Use debhelper version 5 instead of version 4.
  * debian/patches/09_avoid_segfault_at_vflmklib.c.dpatch: Add new patch.
    Avoid segfault at vflmk utilities.
  * Remove dependency on defoma (Closes: #542338).

 -- OHURA Makoto <ohura@debian.org>  Thu, 15 Dec 2011 23:44:43 +0900

vflib3 (3.6.14.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD by tweaking ltconfig as suggested by Petr
    Salinger (Closes: #493125). Introduce the following patch for that:
     - debian/patches/08_fix_ftbfs_on_kfreebsd.dpatch

 -- Cyril Brulebois <kibi@debian.org>  Thu, 02 Jul 2009 03:20:53 +0200

vflib3 (3.6.14.dfsg-1) unstable; urgency=low

  * Remove ccv/TBL/RFC/rfc1489.txt, which is a non-free file.
   (Closes: #464433)
  * debian/patches/06_strdup_implicit_pointer_conversion.dpatch: New
    patch.  Add -D_GNU_SOURCE to CFLAGS to enable prototype definition
    of strdup(3). (Closes: #464465)
  * debian/rules:
    - Add autoconf2.13 before executing configure script.
    - Run configure script with FreeType2.
    - Move DH_COMPAT variable to debian/compat.
    - Don't ignore make clean error.
  * debian/control:
    - Add autoconf2.13 and libfreetype6-dev to Build-Depends: field.
    - Add xutils-dev to Build-Depends: field for xmkmf.
    (Closes: #484200, #485224)
    - Remove x-dev and xutils from Build-Depends: field.
  * debian/patches/04_not_ln_parent_dir.dpatch: New patch.  Don't make a
    symlink at parent directory.
  * Remove unused debian patch.
  * debian/patches/07_build_with_freetype2.dpatch: New patch. Build with
    FreeType2 library. (Closes: #431779, #431781)

 -- OHURA Makoto <ohura@debian.org>  Thu, 12 Jun 2008 23:08:47 +0900

vflib3 (3.6.14-1) unstable; urgency=low

  * New upstream release.
    - Disable two patches, 01_build_fix_for_gcc_3.3 and 02_GetNoFonts.
  * debian/control: New Maintainer. (Closes: #393580)

 -- OHURA Makoto <ohura@debian.org>  Tue, 05 Feb 2008 23:13:44 +0900

vflib3 (3.6.13.dfsg-1) unstable; urgency=low

  * QA upload.
  * Remove the non-free ccv/TBL/RFC/rfc1489.txt from the upstream tarball.
    Closes: #393418.
  * debian/update-vflibcap: Fix redirection.  Thanks to Yoshinori Ariie for
    the patch.  Closes: #284919.
  * debian/vflib3.defoma: Handle undefined hints.  Closes: #147861, #306442.
  * debian/patches/05_mkt1enc_syntax_error.dpatch: Fix unterminated quote in
    t1lib/mkt1enc.sh.
  * Remove awk from Build-Depends since it's depended on by base-files (i.e.
    effectively essential).
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/rules:
    - Remove config.{sub,guess} on clean to make for a leaner diff.
    - Remove calls to dh_undocumented.

 -- Matej Vela <vela@debian.org>  Sat, 28 Oct 2006 12:16:06 +0200

vflib3 (3.6.13-4) unstable; urgency=low

  * Orphaning this package.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 17 Oct 2006 06:32:18 +0900

vflib3 (3.6.13-3.6) unstable; urgency=low

  * Non-maintainer upload to fix writing outside the build directory.
  * Added debian/patches/04_fix_configure_not_ln_pwd.dpatch, that fixes the
    linking loop in configure so that the parent directory is not linked.
    (Closes: #381624)
  * Fixed debian/rules to comply with policy:
     - CFLAGS = -g -Wall always used
     - noopt is honored.
  * Fixed debian/rules so that the binary-indep package is generated in the
    binary-indep rule. (Closes: #207196)

 -- Margarita Manterola <marga@debian.org>  Sun, 13 Aug 2006 13:13:52 -0300

vflib3 (3.6.13-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Make vflib3-dev depend on libkpathsea-dev.  Closes: #378447.
  * Fix `comparison is always false' warnings on platforms where char
    is unsigned by default.  Closes: #170529.

 -- Matej Vela <vela@debian.org>  Sun, 23 Jul 2006 18:59:19 +0200

vflib3 (3.6.13-3.4) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Make vflib3-dev depend on libttf-dev and libt1-dev; otherwise
    libtool-using software fails to build with vflib3-dev due to
    dangling references to missing .la files. (Closes: #361944).

 -- Luk Claes <luk@debian.org>  Mon, 17 Apr 2006 10:55:43 +0200

vflib3 (3.6.13-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency


=== debian/control ===
Source: vflib3
Section: devel
Priority: optional
Maintainer: OHURA Makoto <ohura@debian.org>
Build-Depends: autotools-dev,
  chrpath,
  debhelper (>> 9),
  gettext,
  libfreetype6-dev,
  libkpathsea-dev,
  libx11-dev,
  autoconf2.13,
  xutils-dev,
  libxext-dev
Standards-Version: 4.1.1

Package: vflib3-dev
Section: libdevel
Architecture: any
Depends: vflib3 (= ${binary:Version}), libfreetype6-dev, libkpathsea-dev, libc6-dev
Description: Development files for VFlib3
 VFlib3 is a font rasterizer library for multi-lingual information 
 processing.  Using VFlib3, you can obtain bitmap data of characters(glyphs)
 from various fonts in a unified manner.
 .
 VFlib3 can handle almost all font formats available - it now supports 
 PK, GF, VF, TFM, OFM level 0, OVF, PCF, BDF, HBF, Syotai-Club, JG, eKanji
 and more.  TrueType and Type 1 fonts are also supported via FreeType2.
 Font search via kpathsea is supported, too.
 .
 This package contains the header file and static library for developing 
 with VFlib3.
     
Package: vflib3-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Description: Sample programs using VFlib3
 VFlib3 is a font rasterizer library for multi-lingual information 
 processing.  Using VFlib3, you can obtain bitmap data of characters(glyphs)
 from various fonts in a unified manner.
 .
 VFlib3 can handle almost all font formats available - it now supports
 PK, GF, VF, TFM, OFM level 0, OVF, PCF, BDF, HBF, Syotai-Club, JG, eKanji
 and more.  TrueType and Type 1 fonts are also supported via FreeType2.
 Font search via kpathsea is supported, too.
 .
 This package contains a few sample programs that come with VFlib3.

Package: vflib3-doc
Section: doc
Architecture: all
Recommends: www-browser, postscript-viewer, info-browser
Suggests: vflib3
Description: Documentation for VFlib3
 VFlib3 is a font rasterizer library for multi-lingual information 
 processing.  Using VFlib3, you can obtain bitmap data of characters(glyphs)
 from various fonts in a unified manner.
 .
 VFlib3 can handle almost all font formats available - it now supports
 PK, GF, VF, TFM, OFM level 0, OVF, PCF, BDF, HBF, Syotai-Club, JG, eKanji
 and more.  TrueType and Type 1 fonts are also supported via FreeType2.
 Font search via kpathsea is supported, too.
 .
 This package contains the VFlib3 documentation in various formats.
 
Package: vflib3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: watanabe-vfont (<< 1-6.6), asiya24-vfont (<< 1-6.6)
Suggests: watanabe-vfont (>> 1-6.6), asiya24-vfont (>> 1-6.6)
Description: Versatile Font Library
 VFlib3 is a font rasterizer library for multi-lingual information 
 processing.  Using VFlib3, you can obtain bitmap data of characters(glyphs)
 from various fonts in a unified manner.
 .
 VFlib3 can handle almost all font formats available - it now supports
 PK, GF, VF, TFM, OFM level 0, OVF, PCF, BDF, HBF, Syotai-Club, JG, eKanji
 and more.  TrueType and Type 1 fonts are also supported via FreeType2.
 Font search via kpathsea is supported, too.
 .
 This package contains the shared library and configuration files 
 needed to run programs using VFlib3.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# For debugging: debian policy states that you should build with -g -Wall
CFLAGS += -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	ln -sf /usr/share/misc/config.sub /usr/share/misc/config.guess .
	autoconf2.13
	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	--enable-static \
	--with-freetype2 --with-freetype2-includedir=/usr/include/freetype2 \
	--with-kpathsea --with-kpathsea-includedir=/usr/include/kpathsea \
	--with-texmf-root=/usr/share/texmf \
	--with-gettext

	touch configure-stamp

build: build-arch build-indep
build-arch: configure-stamp build-stamp
build-indep: configure-stamp build-stamp
build-stamp: 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

	# Remove RPATH from the generated library. (lintian)
	chrpath -d debian/tmp/usr/lib/libVFlib3.so.5.4.6

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	#dh_clean -i -k

	dh_installdocs -i
	dh_installinfo -i -n
	dh_installchangelogs -i CHANGES
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	#dh_clean -a -k

	dh_movefiles -pvflib3 -pvflib3-dev -pvflib3-bin

	# Install Debian specific files
	install -m 755 $(CURDIR)/debian/update-vflibcap $(CURDIR)/debian/vflib3/usr/sbin/
	install -m 644 $(CURDIR)/debian/vflibcaps/vflibcap $(CURDIR)/debian/vflib3/etc/vflib3/vflibcaps-common/vflibcap.in
	install -m 644 $(CURDIR)/debian/vflibcaps/vflibcap-tex $(CURDIR)/debian/vflib3/etc/vflib3/vflibcaps-common/vflibcap-tex.in

	# Remove unused t1lib script
	rm -f debian/vflib3/usr/share/VFlib/3.6.14/t1lib/mkt1enc.sh

	dh_installdocs -a
	dh_installman -a

	dh_installchangelogs -a CHANGES
	dh_link -a 
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
TypeHack.aial.hiroshima-u.ac.jp /pub/TypeHack/ VFlib3-(.*)\.tar\.gz debian uupdate

## vflib3 3.7.2+dfsg

=== ascii-jtex/HojoKanji/Makefile ===
PLATEX2E=platex

.SUFFIXES: .tex .dvi .tfm .pl 

all:  sample.dvi
tfm jfm:
	./mkhojo.sh

sample.dvi: sample.tex
	$(PLATEX2E) sample.tex

clean veryclean distclean:
	-rm -f *.aux *.log *.core core *~
allclean: clean
	-rm -f *.dvi *.tfm

=== ascii-jtex/Mojikyo/Makefile ===
default:
	@echo "nothing to do."

# developers only
sample:
	gcc -o mksample mksample.c
	-rm -f sample.tex
	./mksample -ttf   -f 0 -t 3000 > samplet.tex
	./mksample -type1 -f 0 -t 3000 > samplep.tex
	platex samplet.tex
	platex samplep.tex
	make clean


koukotsu:
	gcc -o mksample mksample.c
	-rm -f sample.tex
	./mksample -f 95181 -t 99581 -n 10 -s large > koukotsu.tex
	platex koukotsu.tex
	make clean

clean:
	-rm a.out mksample *.aux *.log *.core core *~

=== ascii-jtex/eKanji/Makefile ===
PLATEX=platex


ALL: 
	@echo '** '
	@echo '** make tfm       - to make tfm files for eKanji fonts'
	@echo '** make samples   - to make character lists of eKanji fonts'
	@echo '** '

tfm:
	cd tfm; ./mktfm

default all: $(ALL)


distclean: clean
	-rm -f *~ core *.core a.out 
	-rm -f sample-u.* sample-k.* sample-m.*
clean:
	-rm -f *.aux *.log 
realclean: distclean
	-rm -f *.tfm 

samples:
	gcc mksample.c
	./a.out -u >sample-u.tex
	./a.out -k >sample-k.tex
	./a.out -m >sample-m.tex
	$(PLATEX) sample-u.tex
	$(PLATEX) sample-k.tex
	$(PLATEX) sample-m.tex
	-rm -f a.out *.log *.aux

=== doc/Paper2-ja/Makefile ===
all:		vflib-ja.ps

vflib-ja.ps:	vflib-ja.dvi
	-dvips -f vflib-ja.dvi > vflib-ja.ps
	rm -f ml-web-page.eps

vflib-ja.dvi:	vflib-ja.tex
	gzip -cd  < ml-web-page.eps.gz  > ml-web-page.eps
	platex vflib-ja
	bibtex vflib-ja
	platex vflib-ja
	platex vflib-ja

clean:
	-rm *.aux *.log *.bbl *.blg
veryclean distclean: clean
	-rm *~
CLEAN: clean
	-rm *.dvi *.ps *~

=== ascii-jtex/eKanji/tools/Makefile ===
all:  ekdump ekreenc
clean:
	-rm -f  ekdump ekreenc core *.core *.o a.out *~ 
ekdump: ekdump.c
	$(CC) -o ekdump ekdump.c
ekreenc: ekreenc.c
	$(CC) -o ekreenc ekreenc.c

=== utils/ctext2pgm-1.5.3/test/Makefile ===
all:
	./runnit 
clean:
	rm *.pgm *.pbm *.eps *.aa *~

=== utils/ctext2pgm-1.5.3/Samples/CTEXT-MULE-ARABIC/Makefile ===
#
# a Makefile to make sample images for "ctext2pgm"
#   by Hirotsugu Kakugawa
#

# -----------------------------------------------------------------------
ARG_CTEXT2PGM= -ctext -r2l -16 -times -g 10 -pgm-raw -b 1.4
ARG_BGCOLOR=   rgb:ff/ff/ff
ARG_FGCOLOR=   rgb:00/00/00

DOCS=   DOC1.txt 

include  ../make-sub

# -----------------------------------------------------------------------

#EOF

=== utils/ctext2pgm-1.5.3/Samples/CTEXT/Makefile ===
#
# a Makefile to make sample images for "ctext2pgm"
#   by Hirotsugu Kakugawa
#

# -----------------------------------------------------------------------
ARG_CTEXT2PGM= -ctext -16 -times -g 10 -pgm-raw
ARG_BGCOLOR=   rgb:ff/ff/ff
ARG_FGCOLOR=   rgb:00/00/00

DOCS=   DOC1.txt  DOC2.txt  DOC3.txt  DOC4.txt  DOC5.txt  \
	DOC6.txt  DOC7.txt  DOC8.txt  DOC9.txt  DOC10.txt \
	DOC11.txt DOC12.txt DOC13.txt DOC14.txt DOC15.txt \
	DOC16.txt DOC17.txt  \
        DOC99.txt

include  ../make-sub

# -----------------------------------------------------------------------

#EOF

=== utils/ctext2pgm-1.5.3/Samples/ISO8859-1-LATIN1/Makefile ===
#
# a Makefile to make sample images for "ctext2pgm"
#   by Hirotsugu Kakugawa
#

# -----------------------------------------------------------------------
ARG_CTEXT2PGM= -iso-8859-1 -16 -helv -g 10 -pgm-raw 
ARG_BGCOLOR=   rgb:ff/ff/ff
ARG_FGCOLOR=   rgb:00/00/00

DOCS=   DOC1.txt

include  ../make-sub

# -----------------------------------------------------------------------

#EOF

=== utils/ctext2pgm-1.5.3/Samples/ISO8859-5-CYRILLIC/Makefile ===
#
# a Makefile to make sample images for "ctext2pgm"
#   by Hirotsugu Kakugawa
#

# -----------------------------------------------------------------------
ARG_CTEXT2PGM= -cyrillic -16 -helv -g 10 -pgm-raw 
ARG_BGCOLOR=   rgb:ff/ff/ff
ARG_FGCOLOR=   rgb:00/00/00

DOCS=   

include  ../make-sub

# -----------------------------------------------------------------------

#EOF

=== utils/ctext2pgm-1.5.3/Samples/ISO8859-7-GREEK/Makefile ===
#
# a Makefile to make sample images for "ctext2pgm"
#   by Hirotsugu Kakugawa
#

# -----------------------------------------------------------------------
ARG_CTEXT2PGM= -greek -16 -helv -g 10 -pgm-raw 
ARG_BGCOLOR=   rgb:ff/ff/ff
ARG_FGCOLOR=   rgb:00/00/00

DOCS=   

include  ../make-sub

# -----------------------------------------------------------------------

#EOF

=== utils/ctext2pgm-1.5.3/Samples/ISO8859-8-HEBREW/Makefile ===
#
# a Makefile to make sample images for "ctext2pgm"
#   by Hirotsugu Kakugawa
#

# -----------------------------------------------------------------------
ARG_CTEXT2PGM= -hebrew -16 -helv -g 10 -pgm-raw 
ARG_BGCOLOR=   rgb:ff/ff/ff
ARG_FGCOLOR=   rgb:00/00/00

DOCS=   

include  ../make-sub

# -----------------------------------------------------------------------

#EOF

=== debian/changelog ===
vflib3 (3.7.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move package to Debian TeX maintainers
  * Add myself to Uploaders
  * Add Homepage
    Closes: #1021185
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
    Closes: #744677, #1030513
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * d/rules: short dh
  * Fix gcc-14 build issues
    Closes: #1075620
  * Fix typo
    Closes: #1028300
  * Fix clean target
    Closes: #1045442
  * debian/salsa-ci.yml: Do not check hardening

  [ наб ]
  * autoheader: warning: Use AC_DEFINE([WITH_GETTEXT], [], [Description])

  [ Hilmar Preuße ]
  * Add override_dh_auto_install to fix installation routine.
  * Fix build of package, install update-vflibcap.
  * Lintian:
    + W:debhelper-but-no-misc-depends

  [ Helmut Grohne ]
  * Improve cross building: Export CC for old ./configure. (Closes: #902030)

  [ Bernhard Übelacker ]
  * Avoid calling hbf_release() twice
    Closes: #1028311

 -- Andreas Tille <tille@debian.org>  Sat, 29 Mar 2025 06:55:40 +0100

vflib3 (3.7.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * d/watch: Fix to scan for new versions (Closes: #449781, #529152).
  * Fix upstream source URL (Closes: #515724).
  * Exclude non-source documentation.

 -- Bastian Germann <bage@debian.org>  Fri, 30 Sep 2022 12:05:36 +0200

=== debian/control ===
Source: vflib3
Section: devel
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: OHURA Makoto <ohura@debian.org>,
           Andreas Tille <tille@debian.org>,
           Hilmar Preuße <hille42@debian.org>
Build-Depends:
  chrpath,
  debhelper-compat (= 13),
  gettext,
  pkgconf,
  libfreetype-dev,
  libkpathsea-dev,
  libx11-dev,
  xutils-dev,
  libxext-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/tex-team/vflib3
Vcs-Git: https://salsa.debian.org/tex-team/vflib3.git
Homepage: https://kakugawa.math.ryukoku.ac.jp/VFlib/

Package: vflib3-dev
Section: libdevel
Architecture: any
Depends: vflib3 (= ${binary:Version}), ${misc:Depends}, libfreetype-dev, libkpathsea-dev, libc6-dev
Description: Development files for VFlib3
 VFlib3 is a font rasterizer library for multi-lingual information
 processing.  Using VFlib3, you can obtain bitmap data of characters(glyphs)
 from various fonts in a unified manner.
 .
 VFlib3 can handle almost all font formats available - it now supports
 PK, GF, VF, TFM, OFM level 0, OVF, PCF, BDF, HBF, Syotai-Club, JG, eKanji
 and more.  TrueType and Type 1 fonts are also supported via FreeType2.
 Font search via kpathsea is supported, too.
 .
 This package contains the header file and static library for developing
 with VFlib3.

Package: vflib3-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sample programs using VFlib3
 VFlib3 is a font rasterizer library for multi-lingual information
 processing.  Using VFlib3, you can obtain bitmap data of characters(glyphs)
 from various fonts in a unified manner.
 .
 VFlib3 can handle almost all font formats available - it now supports
 PK, GF, VF, TFM, OFM level 0, OVF, PCF, BDF, HBF, Syotai-Club, JG, eKanji
 and more.  TrueType and Type 1 fonts are also supported via FreeType2.
 Font search via kpathsea is supported, too.
 .
 This package contains a few sample programs that come with VFlib3.

Package: vflib3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: www-browser, postscript-viewer, info-browser
Suggests: vflib3
Description: Documentation for VFlib3
 VFlib3 is a font rasterizer library for multi-lingual information
 processing.  Using VFlib3, you can obtain bitmap data of characters(glyphs)
 from various fonts in a unified manner.
 .
 VFlib3 can handle almost all font formats available - it now supports
 PK, GF, VF, TFM, OFM level 0, OVF, PCF, BDF, HBF, Syotai-Club, JG, eKanji
 and more.  TrueType and Type 1 fonts are also supported via FreeType2.
 Font search via kpathsea is supported, too.
 .
 This package contains the VFlib3 documentation in various formats.

Package: vflib3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: watanabe-vfont (<< 1-6.6), asiya24-vfont (<< 1-6.6)
Suggests: watanabe-vfont (>> 1-6.6), asiya24-vfont (>> 1-6.6)
Description: Versatile Font Library
 VFlib3 is a font rasterizer library for multi-lingual information
 processing.  Using VFlib3, you can obtain bitmap data of characters(glyphs)
 from various fonts in a unified manner.
 .
 VFlib3 can handle almost all font formats available - it now supports
 PK, GF, VF, TFM, OFM level 0, OVF, PCF, BDF, HBF, Syotai-Club, JG, eKanji
 and more.  TrueType and Type 1 fonts are also supported via FreeType2.
 Font search via kpathsea is supported, too.
 .
 This package contains the shared library and configuration files
 needed to run programs using VFlib3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND = -Wno-error=incompatible-pointer-types

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

override_dh_auto_clean:
	dh_auto_clean
	# Its probably the easiest approach just to remove what is changed
	# but not really needed to fix bug #1045442
	rm -rf autom4te.cache OLD/*
	if [ -e src/vflmkcaptex.bak ] ; then mv src/vflmkcaptex.bak src/vflmkcaptex ; fi

override_dh_auto_configure:
	cp -a src/vflmkcaptex src/vflmkcaptex.bak
	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	--with-opentype \
	--with-kpathsea --with-kpathsea-includedir=/usr/include/kpathsea \
	--with-texmf-root=/usr/share/texmf \
	--with-gettext

override_dh_auto_install:
	dh_installdirs
	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	# Remove unused files
	rm -f $(CURDIR)/debian/tmp/usr/share/VFlib/3.7.2/t1lib/mkt1enc.sh

override_dh_installchangelogs:
	dh_installchangelogs -i CHANGES

override_dh_movefiles-arch:
	dh_movefiles -pvflib3 -pvflib3-dev -pvflib3-bin

override_dh_missing:
	dh_missing --list-missing --sourcedir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto \
  https://kakugawa.math.ryukoku.ac.jp/VFlib/ /~kakugawa/download/TypeHack/VFlib3-([\d\.]+).tar.gz
